Loading...
Searching...
No Matches
mongocxx::model::write Class Reference

`#include <mongocxx/v_noabi/mongocxx/model/write.hpp>`

## Description

A single write operation for use with mongocxx::v_noabi::bulk_write.

## Public Member Functions

| write (delete_many value)
| Constructs a write from a model::delete_many.
| write (delete_one value)
| Constructs a write from a model::delete_one.
| write (insert_one value)
| Constructs a write from a model::insert_one.
| write (replace_one value)
| Constructs a write from a model::replace_one.
| write (update_many value)
| Constructs a write from a model::update_many.
| write (update_one value)
| Constructs a write from a model::update_one.
| write (v1::bulk_write::single op)
| Construct with the mongocxx::v1 equivalent.
| write (write &&rhs) noexcept
| Move constructs a write.
| ~write ()
| Destroys a write.
delete_many const & | get_delete_many () const
| Accesses the write as a model::delete_many. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.
delete_one const & | get_delete_one () const
| Accesses the write as a model::delete_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.
insert_one const & | get_insert_one () const
| Accesses the write as a model::insert_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.
replace_one const & | get_replace_one () const
| Accesses the write as a model::replace_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.
update_many const & | get_update_many () const
| Accesses the write as an model::update_many. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.
update_one const & | get_update_one () const
| Accesses the write as an model::update_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.
| operator v1::bulk_write::single () &&
| Convert to the mongocxx::v1 equivalent.
| operator v1::bulk_write::single () const &
| Convert to the mongocxx::v1 equivalent.
write & | operator= (write &&rhs) noexcept
| Move assigns a write.
write_type | type () const
| Returns the current type of this write.

## Constructor & Destructor Documentation

## write() [1/8]

mongocxx::v_noabi::model::write::write | ( | v1::bulk_write::single | op | ) |

Construct with the mongocxx::v1 equivalent.

## write() [2/8]

mongocxx::v_noabi::model::write::write | ( | insert_one | value | ) |

inline

Constructs a write from a model::insert_one.

## write() [3/8]

mongocxx::v_noabi::model::write::write | ( | update_one | value | ) |

inline

Constructs a write from a model::update_one.

## write() [4/8]

mongocxx::v_noabi::model::write::write | ( | update_many | value | ) |

inline

Constructs a write from a model::update_many.

## write() [5/8]

mongocxx::v_noabi::model::write::write | ( | delete_one | value | ) |

inline

Constructs a write from a model::delete_one.

## write() [6/8]

mongocxx::v_noabi::model::write::write | ( | delete_many | value | ) |

inline

Constructs a write from a model::delete_many.

## write() [7/8]

mongocxx::v_noabi::model::write::write | ( | replace_one | value | ) |

inline

Constructs a write from a model::replace_one.

## write() [8/8]

mongocxx::v_noabi::model::write::write | ( | write && | rhs | ) |

inline noexcept

Move constructs a write.

## ~write()

mongocxx::v_noabi::model::write::~write | ( |  | ) |

inline

Destroys a write.

## Member Function Documentation

## get_delete_many()

delete_many const & mongocxx::v_noabi::model::write::get_delete_many | ( |  | ) | const

inline

Accesses the write as a model::delete_many. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.

## get_delete_one()

delete_one const & mongocxx::v_noabi::model::write::get_delete_one | ( |  | ) | const

inline

Accesses the write as a model::delete_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.

## get_insert_one()

insert_one const & mongocxx::v_noabi::model::write::get_insert_one | ( |  | ) | const

inline

Accesses the write as a model::insert_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.

## get_replace_one()

replace_one const & mongocxx::v_noabi::model::write::get_replace_one | ( |  | ) | const

inline

Accesses the write as a model::replace_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.

## get_update_many()

update_many const & mongocxx::v_noabi::model::write::get_update_many | ( |  | ) | const

inline

Accesses the write as an model::update_many. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.

## get_update_one()

update_one const & mongocxx::v_noabi::model::write::get_update_one | ( |  | ) | const

inline

Accesses the write as an model::update_one. It is illegal to call this method if the return of type() does not indicate that this object currently contains the applicable type.

## operator v1::bulk_write::single() [1/2]

mongocxx::v_noabi::model::write::operator v1::bulk_write::single | ( |  | ) | &&

explicit

Convert to the mongocxx::v1 equivalent.

Postconditions:
  - *this is in an assign-or-destroy-only state.

Warning
  Invalidates all associated references.

## operator v1::bulk_write::single() [2/2]

mongocxx::v_noabi::model::write::operator v1::bulk_write::single | ( |  | ) | const &

explicit

Convert to the mongocxx::v1 equivalent.

## operator=()

write & mongocxx::v_noabi::model::write::operator= | ( | write && | rhs | ) |

inline noexcept

Move assigns a write.

## type()

write_type mongocxx::v_noabi::model::write::type | ( |  | ) | const

inline

Returns the current type of this write.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/model/write.hpp